Get customers
curl --request POST \
--url https://mention-me.com/api/merchant/v2/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"type": "email",
"value": ""
}
]
}
'import requests
url = "https://mention-me.com/api/merchant/v2/customers"
payload = { "identifiers": [
{
"type": "email",
"value": ""
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: [{type: 'email', value: ''}]})
};
fetch('https://mention-me.com/api/merchant/v2/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customerId": "CUST-1234",
"email": "email@mention-me.com",
"firstname": "Jane",
"surname": "Doe",
"phoneNumbers": [
"+447123456789",
"+447987654321"
],
"profileUrl": "https://mention-me.com/merchant/123/customers/43211234",
"mentionMeCustomerId": 987654321,
"offers": {
"active": [
{
"id": "1234",
"description": "Referrer gets 20% off. Referee gets 20% off",
"createdDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"situation": "postpurchase",
"segment": "VIP",
"shareLink": "https://your-brand.mention-me.com/m/ol/1234",
"dashboardLink": "https://your-brand.mention-me.com/d/1234"
}
]
},
"nps": {
"recent": [
{
"answer": "10",
"feedback": "Really great service!",
"createdDate": "2023-11-07T05:31:56Z"
}
]
},
"createdDate": "2023-11-07T05:31:56Z",
"lastPurchaseDate": "2023-11-07T05:31:56Z",
"receivingEmails": true,
"suspectedOfGaming": true,
"metrics": {
"successfulReferrals": 0,
"shareCount": {
"all": 0,
"byFacebook": 0,
"byFacebookMessenger": 0,
"byName": 0,
"byNativeShare": 0,
"byEmailLink": 0,
"byWhatsApp": 0
},
"firstReferralDate": "2023-11-07T05:31:56Z",
"lastReferralDate": "2023-11-07T05:31:56Z",
"firstShareDate": "2023-11-07T05:31:56Z",
"lastShareDate": "2023-11-07T05:31:56Z"
},
"segments": {
"ecrStatus": "high",
"ecrActivity": "lapsed",
"networkId": "N-123",
"predictedEcr": "high"
}
}
],
"errors": [
{
"value": "<string>",
"reason": "notFound"
}
]
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Unauthorized",
"detail": "Missing at least one of the required scopes"
}{
"status": 399,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "<string>",
"detail": "<string>"
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Too Many Requests",
"detail": "Rate limit exceeded for Client Id"
}Customers
Get customers
Returns all customers who match the given set of filters.
When filtering by Customer Id, every customer who matches the identifier will be returned.
When filtering by Email, because it is unique, one customer will be returned for each matching identifier.
If we cannot find a customer provided, we will not include them in the response.
If none of the customers provided can be found, we will return a 404.
You may send 100 customers per request.
Scopes: customers:read
Rate limits: 300 requests per 5 minutes. Shared across all ‘customers’ endpoints.
POST
/
api
/
merchant
/
v2
/
customers
Get customers
Authorizations
RFC8725 Compliant JWT
Body
application/json
A collection of identifiers for customers in Mention Me.
Maximum of 100 identifiers.
Required array length:
1 - 100 elements- Option 1
- Option 2
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I